Need Help Updating My Wii

Discussion in 'Wii - Hacking' started by darkpaladinmfc, Aug 11, 2008.

Aug 11, 2008
  1. darkpaladinmfc
    OP

    Member darkpaladinmfc GBAtemp Regular

    Joined:
    Nov 15, 2006
    Messages:
    149
    Country:
    United Kingdom
    I haven't played my Wii in ages. I'm currently on 3.2E and have some old homebrew channels (A Spanish SNES one) and need help on getting my Wii up to date. After some quick research it appears there's Custom Firmware for Wii, is this the 'best' firmware to use? I have a message from Nintendo from a month or so ago saying there was a new update that affects modded Wiis, I haven't downloaded this update yet. So can anyone help me get rid of my custom homebrew channels and update?
     
  2. skawo96

    Member skawo96 GBAtemp Advanced Maniac

    Joined:
    May 22, 2008
    Messages:
    1,925
    Country:
    United Kingdom
    Wait. I have to write a long post so...wait

    If you are an active homebrewer and like things like channels, and you have for example modchip it's better to stand on 3.2
    3.3 renders things as freeloader and all trucha signed discsunplayable. /Unless you use GeckoOS/
    Also, if you have old Twilight Hack (as I think) 3.3 will immediately render it unplayable removing it from Wii. /there is new TP hack/. However, 3.3 don't do anything with installed channels
    Also, 3.3 doesn't do anything special, only adds that you can move your miis to Mii Parade, and updates photo channel to 1.1-a. What it does, I don't know.
    Also, bushing found change of MIOS.
    cIOS (the custom firmware] isn't THAT good thing, it adds few things as possibility to use DOWNGRADER and that's it.
    You could: Update to 3.3 and downgrade back to 3.2 saving all things that 3.3 does good, but removing trucha bug fix and Zelda TP hack fix.

    End of lecture.
     
  3. samsam12

    Banned samsam12 Test

    Joined:
    May 13, 2008
    Messages:
    818
    Location:
    A House
    Country:
    United States
    you dont need to get rid of your homebrew channels. just go and update. WARNING: you will lose the ability to play trucha signed games, however, there is a solution.
     
  4. darkpaladinmfc
    OP

    Member darkpaladinmfc GBAtemp Regular

    Joined:
    Nov 15, 2006
    Messages:
    149
    Country:
    United Kingdom
    What about custom firmware?
     
  5. samsam12

    Banned samsam12 Test

    Joined:
    May 13, 2008
    Messages:
    818
    Location:
    A House
    Country:
    United States
    you only need it if you want to use the dvd dumper, region changer, downgrader, etc.
     
  6. darkpaladinmfc
    OP

    Member darkpaladinmfc GBAtemp Regular

    Joined:
    Nov 15, 2006
    Messages:
    149
    Country:
    United Kingdom
    Ok, so I should update to the latest version? Will I still be able to install homebrew channels?

    EDIT: Read skawo's post, guess I'll stick with 3.2 thanks [​IMG]. Mod can close thread.
     

Share This Page